Subject: guix refresh wrote the wrong version number

From: Jack Hill <[email-masked]>
Date: Thu, 27 Apr 2023 11:36:56 -0400 (EDT)

Hi Guix,

While working on the wlroots and sway update [0], I noticed the following 
odd behavior with `guix refresh`:

The problem occurred when using `guix refresh` to update sway. A plain 
`guix refresh sway` reported correctly that sway could be updated to 
1.8.1. However, when I ran `guix refresh -u sway`, the version written to 
the package definition way 1.8.1.1. However the hash was correct for 
1.8.1. Of course building the source for version 1.8.1.1 failed because 
the corresponding tag couldn't be found (and it wasn't yet in a 
content-addressed mirror). After correcting the version everything worked 
as expected.

I did this all with a pre-inst-env guix at commit 
8093c6ba21c51efe901ba98ce698c545bf13dcd0.

Best,
Jack

[0] https://issues.guix.gnu.org/63085